package com.gic.haoban.manage.service.entity.hm;

import java.util.Date;

public class TabHaobanHmPage {

    /**
     * 落地页id
     */
    private Long pageId;

    /**
     * 落地页code
     */
    private String pageCode;

    /**
     * 落地页模板名称
     */
    private String pageName;

    /**
     * 企业id
     */
    private String enterpriseId;

    private String wxEnterpriseId;

    private Integer status;

    /**
     * 页面标题
     */
    private String pageTitle;

    /**
     * 商户名称
     */
    private String merchantName;

    /**
     * 商户名称
     */
    private String merchantPhoneNumber;

    /**
     * 商户logo
     */
    private String merchantLogo;

    /**
     * 页面背景图
     */
    private String pageBackgroundImg;

    /**
     * 引导语
     */
    private String guideComment;

    /**
     * 创建人id
     */
    private String createorId;

    /**
     * 创建人名称
     */
    private String createorName;

    private String modifierId;

    private String modifierName;

    /**
     * 创建时间
     */
    private Date createTime;

    private Date updateTime;
    
    private int pageType ;

    
    public int getPageType() {
        return pageType;
    }

    public void setPageType(int pageType) {
        this.pageType = pageType;
    }

    public Long getPageId() {
        return pageId;
    }

    public void setPageId(Long pageId) {
        this.pageId = pageId;
    }

    public String getPageCode() {
        return pageCode;
    }

    public void setPageCode(String pageCode) {
        this.pageCode = pageCode == null ? null : pageCode.trim();
    }

    public String getPageName() {
        return pageName;
    }

    public void setPageName(String pageName) {
        this.pageName = pageName == null ? null : pageName.trim();
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId == null ? null : enterpriseId.trim();
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId == null ? null : wxEnterpriseId.trim();
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getPageTitle() {
        return pageTitle;
    }

    public void setPageTitle(String pageTitle) {
        this.pageTitle = pageTitle == null ? null : pageTitle.trim();
    }

    public String getMerchantName() {
        return merchantName;
    }

    public void setMerchantName(String merchantName) {
        this.merchantName = merchantName == null ? null : merchantName.trim();
    }

    public String getMerchantPhoneNumber() {
        return merchantPhoneNumber;
    }

    public void setMerchantPhoneNumber(String merchantPhoneNumber) {
        this.merchantPhoneNumber = merchantPhoneNumber == null ? null : merchantPhoneNumber.trim();
    }

    public String getMerchantLogo() {
        return merchantLogo;
    }

    public void setMerchantLogo(String merchantLogo) {
        this.merchantLogo = merchantLogo == null ? null : merchantLogo.trim();
    }

    public String getPageBackgroundImg() {
        return pageBackgroundImg;
    }

    public void setPageBackgroundImg(String pageBackgroundImg) {
        this.pageBackgroundImg = pageBackgroundImg == null ? null : pageBackgroundImg.trim();
    }

    public String getGuideComment() {
        return guideComment;
    }

    public void setGuideComment(String guideComment) {
        this.guideComment = guideComment == null ? null : guideComment.trim();
    }

    public String getCreateorId() {
        return createorId;
    }

    public void setCreateorId(String createorId) {
        this.createorId = createorId == null ? null : createorId.trim();
    }

    public String getCreateorName() {
        return createorName;
    }

    public void setCreateorName(String createorName) {
        this.createorName = createorName == null ? null : createorName.trim();
    }

    public String getModifierId() {
        return modifierId;
    }

    public void setModifierId(String modifierId) {
        this.modifierId = modifierId == null ? null : modifierId.trim();
    }

    public String getModifierName() {
        return modifierName;
    }

    public void setModifierName(String modifierName) {
        this.modifierName = modifierName == null ? null : modifierName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}